#!/bin/sh
# 
# Soft Fail, more info see README, COPYRIGHT and CHANGELOG files
# 

ESLOG="/var/log/softfail.log"
MSIZE="30000000" # bytes
MAILREPORT="changeme@yourdomainname.com"

TMPFILE=`mktemp /tmp/softfail-rotate.XXXXXX`
CSIZE="`/bin/ls -l $ESLOG | /usr/bin/awk '{print $5}'`"

if [ "$CSIZE" -gt "$MSIZE" ] ; then

/bin/echo "IPs Candidatos em potencial a Blacklist (nro bloqueios, IP)" > ${TMPFILE}
/bin/echo "Rotacionado em `/bin/date`" >> ${TMPFILE}
/bin/echo "Tamanho: $TAMANHO_ATUAL" >> ${TMPFILE}
/bin/echo "Servidor: `hostname`" >> ${TMPFILE}
/bin/echo "Tipo: softfail" >> ${TMPFILE}
/bin/echo "" >> ${TMPFILE}
/usr/bin/grep Block $ESLOG | /usr/bin/sort | /usr/bin/awk '{print $10}' | /usr/bin/sort | /usr/bin/uniq -c | /usr/bin/sort -n | /usr/bin/grep -v "D\|E\|>" | tail -10 >> ${TMPFILE}

/bin/cat ${TMPFILE} | /usr/bin/mail -s "[SMTP SoftFail] rotacionado em `hostname`" ${MAILREPORT}
/bin/cat ${TMPFILE}
/bin/rm -f ${TMPFILE}

: > $ESLOG
/bin/echo "Rotated on `/bin/date`" >> $ESLOG
fi

